<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'Reservations' }) %>
<body>
    <%- include('partials/navbar.ejs', { search: 2 }) %>
    <main>
        <div class="row">
            <div class="col-md-2">
                <h1>Reservations</h1>
            </div>
            <!-- Button trigger modal -->
            <div class="col-md-2">
                <button type="button" class="btn btn-outline-dark" data-bs-toggle="modal" data-bs-target="#exampleModal">
                Filter
                </button>
            </div>
        </div>

        <!-- Modal START -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Reservation Filter</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form method="POST" name="sportFieldId" action="/listOfReservations/filterReservations">
                        <div class="modal-body">
                            <label for="username">Username: </label>
                            <input id="username" type="text" name="username" placeholder="Username">
                            <br>

                            <label for="fieldID">Field ID: </label>
                            <input id="fieldID" type="number" name="fieldID" placeholder="Field ID">
                            <br>
                
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="minDate">From: </label>
                                    <input id="minDate" type="datetime-local" name="minDate">
                                </div>
    
                                <div class="col-md-6 ms-auto">
                                    <label for="maxDate">Till: </label>
                                    <input id="maxDate" type="datetime-local" name="maxDate">
                                </div>
                            </div>
            
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input id="id-submit-button" class="btn btn-success" name="idSubmitButton" type="submit" value="Filter">
                        </div>
                    </form>
                </div>
            </div>
        </div>
            <!-- Modal END -->

        <div id="container">
            <% reservations.forEach((reservation) => { %>
                <div id = "reservationID<%= reservation.reservationID %>">
                    <b>Username:</b> <%= reservation.personName %> <br>
                    <b>Field ID:</b> <%= reservation.fieldID %> <br>
                    <b>From:</b> <%= reservation.startDate %> <br>
                    <b>Till:</b> <%= reservation.endDate %> <br>
                    <input class='btn btn-danger' onclick="deleteReservation(event, '<%= reservation.reservationID %>')" type='button' value='Delete'> 
                </div>
                <br>
                <br>
            <% }) %>
        </div>
    </main>
    <script src="/showfields.js"></script>
</body>
</html>